# EventDnsBase::clearSearch

(PECL event >= 1.2.6-beta)

EventDnsBase::clearSearch — Removes all current search suffixes

### Description

public EventDnsBase::clearSearch ( void ) : void

Removes all current search suffixes from the DNS base; the EventDnsBase::addSearch() function adds a suffix.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- EventDnsBase::addSearch() - Adds a domain to the list of search domains